Package com.collibra.dgc.core.api.dto.instance.rating

# Class FindRatingsRequest

Object
PagedRequest
FindRatingsRequest

All Implemented Interfaces:
  `Serializable`

public class FindRatingsRequest extends PagedRequest
The properties of the rating to be found.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindRatingsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindRatingsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRatingsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  The ID of the asset to which the rating belongs to.
  `SortOrder`
  `getSortOrder()`
  The order of sorting on the date the rating was created.
  `UUID`
  `getUserId()`
  The ID of the rating's author.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  The ID of the asset to which the rating belongs to.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting on the date the rating was created.
  `void`
  `setUserId(UUID userId)`
  The ID of the rating's author.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindRatingsRequest

    public FindRatingsRequest()

- ## Method Details

  - ### builder

    public static FindRatingsRequest.Builder builder()

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting on the date the rating was created.

  - ### getAssetId

    public UUID getAssetId()
    The ID of the asset to which the rating belongs to.

  - ### getUserId

    public UUID getUserId()
    The ID of the rating's author.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting on the date the rating was created.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    The ID of the asset to which the rating belongs to.

  - ### setUserId

    public void setUserId(UUID userId)
    The ID of the rating's author.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`